Bug 135779 - LO Writer: Find Bar search locks up GTK3
Summary: LO Writer: Find Bar search locks up GTK3
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.3 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.1.0 target:7.0.2 target:7.0.1
Keywords: bibisectRequest, regression
Depends on:
Blocks:
 
Reported: 2020-08-15 07:52 UTC by xiphoid
Modified: 2020-08-27 14:39 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
video showing the bug (661.16 KB, video/mp4)
2020-08-21 04:47 UTC, BogdanB
Details

Note You need to log in before you can comment on or make changes to this bug.
Description xiphoid 2020-08-15 07:52:29 UTC
Description:
When using Ctrl+F function to search a word in a Writer document the search works normally the first time. Leaving Find Bar at bottom of screen open, search for second term fails. Click red 'X' Close Find Bar button at left to close Find Bar has no effect. Can close Find Bar with Esc.

Steps to Reproduce:
1.Open LibreOffice Writer
2.> File > Open ... to select .odt document
3.Ctrl+F to open search bar
4.Enter search term, hit <Enter>, select Find All 
-- first search successful
5.Clear search window, enter new term, hit <Enter> 
-- second search does nothing
6.Click 'Close Find Bar' button, Find Bar does not close.
7.Hit Esc closes Find Bar

Actual Results:
Find Bar locks up

Expected Results:
To be able to repeatedly search document for input terms/phrases.


Reproducible: Always


User Profile Reset: No



Additional Info:
OS is Ubuntu 18.04.5 LTS.
Problem occurs with LO Flatpak 7.0.0.3
Build link:
https://gerrit.libreoffice.org/gitweb?p=core.git;a=log;h=8061b3e9204bef6b321a21033174034a5e2ea88e
Flatpak version 1.8.1

Problem does not occur when tested on LO AppImage Version: 6.4.5.2
Build ID: a726b36747cf2001e06b58ad5db1aa3a9a1872d6
Find Bar works as expected in this version. It is running on same system.
Comment 1 xiphoid 2020-08-17 00:25:35 UTC
> Edit > Find & Replace is not working in 7.0.0.3 either.

Find & Replace does work in 6.4.5.2
Comment 2 Dieter 2020-08-20 15:30:52 UTC
I can't confirm this with

Version: 7.0.0.3 (x64)
Build ID: 8061b3e9204bef6b321a21033174034a5e2ea88e
CPU threads: 4; OS: Windows 10.0 Build 19041; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-GB
Calc: threaded

To be certain the reported issue is not related to corruption in the user profile, could you please reset your Libreoffice profile (https://wiki.documentfoundation.org/UserProfile) and re-test?

I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' if the issue is still present.
Comment 3 xiphoid 2020-08-21 01:10:21 UTC
Profile reset using following procedure:
Help -> Restart in Safe Mode... -> Restart
In Safe Mode window:
-> Reset to factory settings
checked: Reset settings and user interface modifications
checked: Reset entire user profile
-> Apply Changes and Restart

Opened .odt document in LO Writer.
-> Ctrl+F
-> type search term
-> hit Enter
(first instance of search term found)
(up and down arrows do not find other instances of term)
-> click Close Find Bar button -> no action, Find Bar remains open, can only be dismissed by hitting escape key.

LO profile reset again. Same behaviour seen after tests.

After fresh reset also tried:
-> Ctrl+F
-> type search term
-> click Find All
(Find All button does not highlight, does not remain highlighted)
-> hit Enter
(finds first instance of term)
(clicking up and down arrows does not find other instances of term)
-> click Find All
(Find all button does not highlight. Other instances of search term not highlighted)
-> click Close Find Bar button
(Find Bar remains open. Can dismiss Find Bar by hitting Esc)

LO Flatpak details as follows:
Version: 7.0.0.3
Build ID: 8061b3e9204bef6b321a21033174034a5e2ea88e
CPU threads: 6; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
Flatpak
Calc: threaded

Yesterday downloaded latest LO 'fresh' AppImage.
Identical behaviour seen there.

LO 'fresh' AppImage details:
Version: 7.0.0.3
Build ID: 8061b3e9204bef6b321a21033174034a5e2ea88e
CPU threads: 6; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
Calc: threaded

Yesterday also downloaded latest LO 'still' AppImage.
Bug behaviour not seen in this version.
Find Bar, Close Find Bar button, Find and Replace all work normally.

LO 'still' AppImage Details:
Version: 6.4.6.2
Build ID: 0ce51a4fd21bff07a5c061082cc82c5ed232f115
CPU threads: 6; OS: Linux 5.4; UI render: default; VCL: gtk3; 
Locale: en-AU (en_AU.UTF-8); UI-Language: en-US
Calc: threaded

To conclude, bug definitely exists.
Comment 4 BogdanB 2020-08-21 04:46:27 UTC
I con confirm this bug exists: see my video

Version: 7.0.0.0.alpha1+
Build ID: fcb945e37dc31c11bcc3195fcbe835a63bb5bf5f
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded
Comment 5 BogdanB 2020-08-21 04:47:03 UTC
Created attachment 164517 [details]
video showing the bug
Comment 6 BogdanB 2020-08-21 04:50:04 UTC
Close search bar is not working but also up and down arrow doesnt work.
Comment 7 BogdanB 2020-08-21 04:55:38 UTC
I tried to bibisect this bug with 6.5, but everything is wrong.
Comment 8 BogdanB 2020-08-21 04:59:02 UTC
If you try to bibisect this bug and it seems to work, close the search bar and open again, and again, until you can reproduce it. Sometimes it seems it works, but it is not, if you search more than one time.
Comment 9 xiphoid 2020-08-21 05:01:04 UTC
> Close search bar is not working but also up and down arrow doesnt work.

Find All and Find & Replace also not working.
Comment 10 Telesto 2020-08-22 21:27:49 UTC Comment hidden (obsolete)
Comment 11 Telesto 2020-08-22 21:28:24 UTC Comment hidden (obsolete)
Comment 12 Caolán McNamara 2020-08-23 14:12:42 UTC
probably a focus issue
Comment 13 Commit Notification 2020-08-23 20:15:28 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9d0d788fa73744fcdf50534360a2942e5c3cc6d4

tdf#135779 move focus back to usual parent before grabbing pointer

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Caolán McNamara 2020-08-23 20:25:20 UTC
fixed in master, backport to 7-0 in gerrit
Comment 15 Commit Notification 2020-08-24 10:12:54 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/6a4dfa7469168207a9c11463d1b1c9cef5f86c3f

tdf#135779 move focus back to usual parent before grabbing pointer

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 BogdanB 2020-08-26 19:10:52 UTC
Verified.
Works as expected in 
Version: 7.1.0.0.alpha0+
Build ID: 217122387f6e0ef657b8ba85eae082b448901cec
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded
Comment 17 Commit Notification 2020-08-27 14:39:15 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-0-1":

https://git.libreoffice.org/core/commit/dbbce6bf7f21fd8d72fa9b01a28a4ea0d7e2ccdc

tdf#135779 move focus back to usual parent before grabbing pointer

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.